using System;

namespace Server.AliyunSDK.SLSLog
{
    
    /// <summary>
    /// 自定义日志字段名称
    /// </summary>
    [AttributeUsage(AttributeTargets.Property | AttributeTargets.Field)]
    public class SLSLogFiledNameAttribute : SLSBaseAttribute
    {
        public string FieldName { get; set; }

        public SLSLogFiledNameAttribute(string fieldName)
        {
            this.FieldName = fieldName;
        }
    }
    
    /// <summary>
    /// 时间格式转换
    /// </summary>
    [AttributeUsage(AttributeTargets.Property | AttributeTargets.Field)]
    public class SLSLogTimeFormatAttribute : SLSBaseAttribute
    {
        public string Format { get; }

        public SLSLogTimeFormatAttribute(string format)
        {
            Format = format;
        }
    }
}